## ArrowSpec

Arrow shape specification.

View Source GLShape.ts, line 1667

### Extends

- ShapeSpec

# Members

Type: `Func`

#### # callback Optional

function to call on click

Inherited From:
  - ShapeSpec#callback

View Source GLShape.ts, line 1595

Type: `boolean`

#### # clickable Optional

if true, user can click on object to trigger callback

Inherited From:
  - ShapeSpec#clickable

View Source GLShape.ts, line 1590

Type: `ColorSpec`

#### # color Optional

color

Overrides:
  - ShapeSpec#color

View Source GLShape.ts, line 1697

Type: `XYZ`

#### # dir Optional

direction to extend from start (instead of specifying end)

View Source GLShape.ts, line 1682

Type: `XYZ`

#### # end Optional

ending position

View Source GLShape.ts, line 1677

Type: `number`

#### # frame Optional

if set, only display in this frame of an animation

Inherited From:
  - ShapeSpec#frame

View Source GLShape.ts, line 1615

Type: `boolean`

#### # hidden Optional

hidden

Overrides:
  - ShapeSpec#hidden

View Source GLShape.ts, line 1702

Type: `Func`

#### # hover_callback Optional

hover callback

Inherited From:
  - ShapeSpec#hover_callback

View Source GLShape.ts, line 1605

Type: `boolean`

#### # hoverable Optional

if true, user can hover on object to trigger callback

Inherited From:
  - ShapeSpec#hoverable

View Source GLShape.ts, line 1600

Type: `number`

#### # length Optional

length to extend in dir direction from start (instead of specifying end)

View Source GLShape.ts, line 1687

Type: `number`

#### # linewidth Optional

width of line for wireframe rendering No longer supported by most browsers

Inherited From:
  - ShapeSpec#linewidth

View Source GLShape.ts, line 1585

Type: `number`

#### # mid Optional

relative position of arrow base (0.618034 default)

View Source GLShape.ts, line 1712

Type: `number`

#### # midpos Optional

position of arrow base in length units, if negative positioned from end instead of start. Overrides mid.

View Source GLShape.ts, line 1717

Type: `number`

#### # opacity Optional

transparency, between 0 (invisible) and 1 (opaque)

Inherited From:
  - ShapeSpec#opacity

View Source GLShape.ts, line 1570

Type: `number`

#### # radius Optional

radius (default 0.1A)

View Source GLShape.ts, line 1692

Type: `number`

#### # radiusRatio Optional

ratio of arrow base to cylinder (1.618034 default)

View Source GLShape.ts, line 1707

Type: `XYZ`

#### # start Optional

starting position

View Source GLShape.ts, line 1672

Type: `Func`

#### # unhover_callback Optional

unhover callback

Inherited From:
  - ShapeSpec#unhover_callback

View Source GLShape.ts, line 1610

Type: `boolean`

#### # wireframe Optional

draw as wireframe, not surface

Inherited From:
  - ShapeSpec#wireframe

View Source GLShape.ts, line 1575